Get a Kubernetes cluster
GET/v1/kubernetes_clusters/{id}
This GET request to /v1/kubernetes_clusters/{id} will show cluster details for the one specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
id | stringA unique identifier of a cluster. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/kubernetes_clusters/l9avorbG"{ "id": "l9avorbG", "name": "k8s-cluster", "status": "pending", "location_id": 1349, "location_code": "location2746", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}